| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Crapview Class Referencefinal

Crapview. More...

`#include <crapview.h>`

Inheritance diagram for Crapview:

## Public Member Functions
DialogsLevel | getDialogsLevel () const noexcept
| Returns the Dialogs level.
void | setDialogsLevel (const DialogsLevel new_level) noexcept
| Sets the new Dialogs level.
void | setDbPath (const std::string &path) noexcept
| Sets the new path for the logs Collection database.
int | getMonthNumber (const QString &month_str) const noexcept
| Returns the month number corresponding to the given printable month.
void | refreshDates ()
| Refreshes the list of the dates which are available in the database.
void | clearDates () noexcept
| Erases the list of available dates.
QStringList | getYears (const QString &web_server) const noexcept
| Returns le list of available years, for the given web server.
QStringList | getMonths (const QString &web_server, const QString &year) const noexcept
| Returns le list of available months in the given year, for the given web server.
QStringList | getDays (const QString &web_server, const QString &year, const QString &month) const noexcept
| Returns le list of available days in the given month and year, for the given web server.
QStringList | getHours () const noexcept
| Returns all the hours of the day.
QStringList | getWarnHeaderColumns () const noexcept
| Returns a list of the translated columns.
QStringList | getSpeedHeaderColumns () const noexcept
| Returns a list of the translated columns.
void | drawWarn (QTableWidget *table, QChartView *chart, const QChart::ChartTheme &theme, const QString web_server, const QString year, const QString month, const QString day, const QString hour, const Warnlist &warnlist) const
| Draws the chart and fills the table for the Warnings stats.
void | drawSpeed (QTableWidget *table, QChartView *chart, const QChart::ChartTheme &theme, const QString web_server, const QString year, const QString month, const QString day, const QString protocol, const QString method, const QString uri, const QString query, const QString response) const
| Draws the chart and fills the table for the Speed stats.
void | drawCount (QTableWidget *table, QChartView *chart, const QChart::ChartTheme &theme, const QString web_server, const QString year, const QString month, const QString day, const QString field) const
| Draws the chart and fills the table for the Counts stats.
void | drawDay (QChartView *chart, const QChart::ChartTheme &theme, const QString web_server, const QString from_year, const QString from_month, const QString from_day, const QString to_year, const QString to_month, const QString to_day, const QString field_str, const LogField field, const QString filter) const
| Draws the chart for the Daytime stats.
void | drawRelat (QChartView *chart, const QChart::ChartTheme &theme, const QString web_server, const QString from_year, const QString from_month, const QString from_day, const QString to_year, const QString to_month, const QString to_day, const QString field_1_str, const LogField field_1, const QString filter_1, const QString field_2_str, const LogField field_2, const QString filter_2) const
| Draws the chart for the Relational stats.
bool | calcGlobals (std::vector< std::tuple< QString, QString > > &recur_list, std::vector< std::tuple< QString, QString > > &traffic_list, std::vector< std::tuple< QString, QString > > &perf_list, std::vector< QString > &work_list, const QString web_server) const
| Retrieves the data to fill the Globals stats.

## Detailed Description

Crapview.

Performs operations related to the visualization of the statistics

## Member Function Documentation

## ◆ calcGlobals()

bool Crapview::calcGlobals | ( | std::vector< std::tuple< QString, QString > > & | recur_list,
|  | std::vector< std::tuple< QString, QString > > & | traffic_list,
|  | std::vector< std::tuple< QString, QString > > & | perf_list,
|  | std::vector< QString > & | work_list,
|  | const QString | web_server ) const

Retrieves the data to fill the Globals stats.

Parameters

  recur_list | The list which will hold the printable recurrencies
  traffic_list | The list which will hold the printable traffics
  perf_list | The list which will hold the printable performances
  work_list | The list which will hold the printable overall work infos
  web_server | The printable Web Server name

Returns
  Whether the operation has been successful or not

## ◆ drawCount()

void Crapview::drawCount | ( | QTableWidget * | table,
|  | QChartView * | chart,
|  | const QChart::ChartTheme & | theme,
|  | const QString | web_server,
|  | const QString | year,
|  | const QString | month,
|  | const QString | day,
|  | const QString | field ) const

Draws the chart and fills the table for the Counts stats.

Parameters

  table | The table widget
  chart | The chart widget
  theme | The base theme to use for the chart
  web_server | The printable Web Server name
  year | The year
  month | The printable month name
  day | The day
  field | The printable log field

## ◆ drawDay()

void Crapview::drawDay | ( | QChartView * | chart,
|  | const QChart::ChartTheme & | theme,
|  | const QString | web_server,
|  | const QString | from_year,
|  | const QString | from_month,
|  | const QString | from_day,
|  | const QString | to_year,
|  | const QString | to_month,
|  | const QString | to_day,
|  | const QString | field_str,
|  | const LogField | field,
|  | const QString | filter ) const

Draws the chart for the Daytime stats.

Parameters

  chart | The chart widget
  theme | The base theme to use for the chart
  web_server | The printable Web Server name
  year | The initial year
  month | The initial printable month name
  day | The initial day
  year | The final year
  month | The final printable month name
  day | The finl day
  field | The printable log field
  filter | The give filter string

## ◆ drawRelat()

void Crapview::drawRelat | ( | QChartView * | chart,
|  | const QChart::ChartTheme & | theme,
|  | const QString | web_server,
|  | const QString | from_year,
|  | const QString | from_month,
|  | const QString | from_day,
|  | const QString | to_year,
|  | const QString | to_month,
|  | const QString | to_day,
|  | const QString | field_1_str,
|  | const LogField | field_1,
|  | const QString | filter_1,
|  | const QString | field_2_str,
|  | const LogField | field_2,
|  | const QString | filter_2 ) const

Draws the chart for the Relational stats.

Parameters

  chart | The chart widget
  theme | The base theme to use for the chart
  web_server | The printable Web Server name
  year | The initial year
  month | The initial printable month name
  day | The initial day
  year | The final year
  month | The final printable month name
  day | The finl day
  field_1 | The first printable log field
  filter_1 | The give filter string for the first field
  field_2 | The second printable log field
  filter_2 | The give filter string for the second field

## ◆ drawSpeed()

void Crapview::drawSpeed | ( | QTableWidget * | table,
|  | QChartView * | chart,
|  | const QChart::ChartTheme & | theme,
|  | const QString | web_server,
|  | const QString | year,
|  | const QString | month,
|  | const QString | day,
|  | const QString | protocol,
|  | const QString | method,
|  | const QString | uri,
|  | const QString | query,
|  | const QString | response ) const

Draws the chart and fills the table for the Speed stats.

Parameters

  table | The table widget
  chart | The chart widget
  theme | The base theme to use for the chart
  web_server | The printable Web Server name
  year | The year
  month | The printable month name
  day | The day
  protocol | The given filter for the Protocol
  method | The given filter for the Method
  uri | The given filter for the URI
  query | The given filter for the Query
  response | The given filter for the Response

## ◆ drawWarn()

void Crapview::drawWarn | ( | QTableWidget * | table,
|  | QChartView * | chart,
|  | const QChart::ChartTheme & | theme,
|  | const QString | web_server,
|  | const QString | year,
|  | const QString | month,
|  | const QString | day,
|  | const QString | hour,
|  | const Warnlist & | warnlist ) const

Draws the chart and fills the table for the Warnings stats.

Parameters

  table | The table widget
  chart | The chart widget
  theme | The base theme to use for the chart
  web_server | The printable Web Server name
  year | The year
  month | The printable month name
  day | The day
  hout | The hour
  warnlist | The warnlists to check against

## ◆ getDays()

QStringList Crapview::getDays | ( | const QString & | web_server,
|  | const QString & | year,
|  | const QString & | month ) const
| noexcept

Returns le list of available days in the given month and year, for the given web server.

Parameters

  web_server | The printable Web Server name
  year | The year
  month | The printable month name

Returns
  The list of days which are avaliable

## ◆ getHours()

QStringList Crapview::getHours | ( |  | ) | const
| noexcept

Returns all the hours of the day.

Returns
  The list of all the hours

## ◆ getMonthNumber()

int Crapview::getMonthNumber | ( | const QString & | month_str | ) | const
| noexcept

Returns the month number corresponding to the given printable month.

Parameters

  month_Str | The printable month name

Returns
  The month number

## ◆ getMonths()

QStringList Crapview::getMonths | ( | const QString & | web_server,
|  | const QString & | year ) const
| noexcept

Returns le list of available months in the given year, for the given web server.

Parameters

  web_server | The printable Web Server name
  year | The year

Returns
  The list of printable month names which are avaliable

## ◆ getSpeedHeaderColumns()

QStringList Crapview::getSpeedHeaderColumns | ( |  | ) | const
| noexcept

Returns a list of the translated columns.

To be inserted in a header

Returns
  The list of fields

## ◆ getWarnHeaderColumns()

QStringList Crapview::getWarnHeaderColumns | ( |  | ) | const
| noexcept

Returns a list of the translated columns.

To be inserted in a header

Returns
  The list of fields

## ◆ getYears()

QStringList Crapview::getYears | ( | const QString & | web_server | ) | const
| noexcept

Returns le list of available years, for the given web server.

Parameters

  web_server | The printable Web Server name

Returns
  The list of yearss which are avaliable

## ◆ setDbPath()

void Crapview::setDbPath | ( | const std::string & | path | ) |
| noexcept

Sets the new path for the logs Collection database.

See also
  DbQuery::setDbPath()

The documentation for this class was generated from the following files:

- logdoctor/modules/crapview/crapview.h
- logdoctor/modules/crapview/crapview.cpp